import { ApiCall } from "tsrpc";
import { ReqOpen, ResOpen } from "../../shared/protocols/gonghuibaozang/PtlOpen";

export default async function (call: ApiCall<ReqOpen, ResOpen>) {
    /**查询所有抽奖日志 */
    let result = await G.mongodb.collection('ghbzcjlog').findOne({ type: "gonghuibaozang_msg"})
    let _res = result?.list || []

    call.succ({
        cjlog: _res
    });
}